> For the complete documentation index, see [llms.txt](https://developers-apps-in-toss.toss.im/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-en/common/permission.md).

# Permissions

To use features like the clipboard, location information, photo album, and contacts in the app, you need to set permissions.\
This guide explains how to set permissions so these features can be used in the Toss app.

{% hint style="info" %}
**WebView environment Web API**

In the WebView environment, the use of general web APIs is not restricted.\
Therefore, you can use most standard Web APIs available in the browser in the same way.
{% endhint %}

## Permission list

Below is a list of permission names and allowed actions. Also check the access value for each permission.

### Camera

* Permission name: [`camera`](/documentation/api-and-sdk-en/common/permission/camera.md)
* Access(`access`): openCamera

### Album

* Permission name: [`photos`](/documentation/api-and-sdk-en/common/permission/album.md)
* Read(`read`): fetchAlbumPhotos

### Clipboard

* Permission name: [`clipboard`](/documentation/api-and-sdk-en/common/permission/clipboard.md)
* Read(`read`): getClipboardText
* Write(`write`): setClipboardText

### Contacts

* Permission name: [`contacts`](/documentation/api-and-sdk-en/common/permission/contact.md)
* Read(`read`): fetchContacts

### Location

* Permission name: [`geolocation`](/documentation/api-and-sdk-en/common/permission/location.md)
* Access(`access`): startUpdateLocation, getCurrentLocation, useGeolocation

### Microphone

* Permission name: `microphone`
* Access(`access`): Will be supported later. If this is WebView, please implement it directly using the Web API.

## Set permissions

The permissions used in the app can be `granite.config.ts`defined in . This is used when reviewing the app. [Permission list](#권한-목록)Please refer to it and configure it.

The following is an example configured to use the clipboard, camera, and photo album.

{% tabs %}
{% tab title="React Native" %}

```tsx
import { appsInToss } from '@apps-in-toss/framework/plugins';
import { defineConfig } from '@granite-js/react-native/config';

export default defineConfig({
  appName: '<my-service-name>',
  plugins: [
    appsInToss({
      permissions: [
        {
          name: 'clipboard',
          access: 'read',
        },
        {
          name: 'clipboard',
          access: 'write',
        },
        {
          name: 'camera',
          access: 'access',
        },
        {
          name: 'photos',
          access: 'read',
        },
      ],
    }),
  ],
});
```

{% endtab %}

{% tab title="WebView" %}

```tsx
import { defineConfig } from '@apps-in-toss/web-framework/config';

export default defineConfig({
  appName: '<my-service-name>', // App name set in the Apps in Toss console
  web: {
    /* Existing settings */
  },
  permissions: [
    {
      name: 'clipboard',
      access: 'read',
    },
    {
      name: 'clipboard',
      access: 'write',
    },
    {
      name: 'camera',
      access: 'access',
    },
    {
      name: 'photos',
      access: 'read',
    },
  ],
});
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-en/common/permission.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
